From dfbce4bbc566d356de7c27ad86117b2c14d1605c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 05 2020 17:52:12 +0000
Subject: [PATCH 551/2232] Remove unreachable return case from cxx function shim


This is unreachable because returning a CxxVector by value is not
allowed.

    error[cxxbridge]: returning C++ vector by value is not supported
       ┌─ lib.rs:30:29
       │
    30 │     fn not_allowed() -> CxxVector<u8>;
       │                         ^^^^^^^^^^^^^ returning C++ vector by value is not supported
       │

---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 4e98674..f28a58e 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -522,10 +522,6 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     match &efn.ret {
         Some(Type::RustBox(_)) => write!(out, ".into_raw()"),
         Some(Type::UniquePtr(_)) => write!(out, ".release()"),
-        Some(Type::CxxVector(_)) => write!(
-            out,
-            " /* Use RVO to convert to r-value and move construct */"
-        ),
         Some(Type::Str(_)) | Some(Type::SliceRefU8(_)) if !indirect_return => write!(out, ")"),
         _ => {}
     }

